Name:		canl-c++
Version:        1.0.0
Release:        0.rc1%{?dist}
Summary:	EMI Authentication Library c++

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.nordugrid.org/
Source0:	%{name}-%{version}rc1.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%if %{?fedora}%{!?fedora:5} > 4 && %{?suse_version:0}%{!?suse_version:1}
BuildRequires:  nss-devel >= 3.10
%else
BuildRequires:  mozilla-nss-devel
%endif
BuildRequires:  openssl-devel
BuildRequires:  cppunit-devel
BuildRequires:  glibmm24-devel

%if %{?suse_version}%{!?suse_version:0}
BuildRequires:  libdb-4_5-devel
%else
%if %{?fedora}%{!?fedora:0} >= 15 || %{?rhel}%{!?rhel:0} >= 7
BuildRequires:  libdb-cxx-devel
%else
%if %{?fedora}%{!?fedora:0} == 14
BuildRequires:  libdb-devel
%else
BuildRequires:  db4-devel
%endif
%endif
%endif

#Requires:	

%package devel
Group:          Development/Libraries
Summary:        EMI Authentication Library c++ development files

%description
EMI Authentication Library c++

%description devel
EMI Authentication Library c++ development files

%prep
%setup -q -n %{name}-%{version}rc1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name \*.la -exec rm -fv '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/libcanl_c++.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcanl_c++.so
%{_includedir}/canl-c++/dcisec.h
%{_libdir}/pkgconfig/canl-c++.pc

%changelog
* Thu Nov 22 2012 Anders Waananen <waananen@nbi.dk> - 1.0.0-0.rc1
- 1.0.0 release candidate 1

* Wed May 16 2012 Anders Waananen <waananen@nbi.dk> - 0.2.0-1
- Initial version
